Test the named credentials provided in the list
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/actions/bulkTest
Instance credentials are tested against the credential target. Global credentials are tested against the target provided.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThis consists of list of Named Credential Test Criteria.
Show Source
-
testNamedCredentialRequests: array
testNamedCredentialRequests
This represents a list of Named Credential Test Criteria
Nested Schema : testNamedCredentialRequests
Type:
arrayThis represents a list of Named Credential Test Criteria
Show Source
-
Array of:
object TestCredentialCriteria
This consists of data required to test a named credential
Nested Schema : TestCredentialCriteria
Type:
objectThis consists of data required to test a named credential
Show Source
-
authenticationTestTargetName: string
Test target nameExample:
testhost.example.com -
authenticationTestTargetTypeName: string
Name of the test target typeExample:
host -
credentialNameAndOwnerCollection(required): array
credentialNameAndOwnerCollection
Credential name list
Nested Schema : credentialNameAndOwnerCollection
Type:
arrayCredential name list
Show Source
-
Array of:
object CredentialNameAndOwnerCollection
Credential name and owner for named credential to test
Nested Schema : CredentialNameAndOwnerCollection
Type:
objectCredential name and owner for named credential to test
Show Source
-
credNames(required): array
credNames
List of Named credentials for a particular owner
-
credOwner: string
Owner of named credential. If not provided it would default to current logged-in userExample:
ADMIN1
Nested Schema : credNames
Type:
arrayList of Named credentials for a particular owner
Show Source
-
Array of:
string
Example:
NAMEDCRED1, NAMEDCRED2
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Named credentials test information is given successfully
Root Schema : NamedCredentialTestResultCollection
Type:
objectThis represents the list of different Global/Target instance tested over named credentials
Show Source
-
count: integer
The number of the different Global/Target instance tested over named credentialsExample:
5 -
items: array
items
This is the list of different Global/Target instance tested over named credentials
Nested Schema : items
Type:
arrayThis is the list of different Global/Target instance tested over named credentials
Show Source
-
Array of:
object NamedCredentialsTestResultsDetailsCollection
This represents the Result data of the named credentials tested
Nested Schema : NamedCredentialsTestResultsDetailsCollection
Type:
objectThis represents the Result data of the named credentials tested
Show Source
-
authenticationTestTargetName: string
Test target nameExample:
server1.example.com -
authenticationTestTargetTypeName: string
Name of the test target typeExample:
host -
count: integer
The number of the different named credentials blocks tested separated by global/target instanceExample:
10 -
namedCredentialsTestResponseCollection: array
namedCredentialsTestResponseCollection
Collection of Named credentials names and its results
Nested Schema : namedCredentialsTestResponseCollection
Type:
arrayCollection of Named credentials names and its results
Show Source
-
Array of:
object NamedCredentialsTestResult
This represents the Result data of the named credentials tested
Nested Schema : NamedCredentialsTestResult
Type:
objectThis represents the Result data of the named credentials tested
Show Source
-
credentialName: string
Name for a named credentialExample:
NAMEDCRED1 -
errorMessage: string
Error message when named credential test is unsuccessful.Example:
Authentication failure, check credential properties -
isPassed: boolean
True if test was successful. False otherwiseExample:
true
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description